using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models {
    [Table("delivery_part_bin"), PrimaryKey("Year", "DId", "DPNr", "BinNr")]
    public class DeliveryPartBin {
        [Column("year")]
        public int Year { get; set; }

        [Column("did")]
        public int DId { get; set; }

        [Column("dpnr")]
        public int DPNr { get; set; }

        [Column("binnr")]
        public int BinNr { get; set; }

        [Column("discr")]
        public string Discr { get; set; }

        [Column("value")]
        public int Value { get; set; }

        [ForeignKey("Year, DId, DPNr")]
        public virtual DeliveryPart Part { get; private set; }
    }
}
